instagram 03
15 个接口
GETfetch hashtag posts
GET https://dkai.store/api/v1/instagram/v2/fetch_hashtag_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
keyword | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_hashtag_posts?keyword=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch highlight stories
GET https://dkai.store/api/v1/instagram/v2/fetch_highlight_stories2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
highlight_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_highlight_stories?highlight_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch location posts
GET https://dkai.store/api/v1/instagram/v2/fetch_location_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
location_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_location_posts?location_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch music posts
GET https://dkai.store/api/v1/instagram/v2/fetch_music_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
audio_canonical_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_music_posts?audio_canonical_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post comments
GET https://dkai.store/api/v1/instagram/v2/fetch_post_comments2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code_or_url | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_post_comments?code_or_url=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post info
GET https://dkai.store/api/v1/instagram/v2/fetch_post_info2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code_or_url | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_post_info?code_or_url=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post likes
GET https://dkai.store/api/v1/instagram/v2/fetch_post_likes2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code_or_url | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_post_likes?code_or_url=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch similar users
GET https://dkai.store/api/v1/instagram/v2/fetch_similar_users2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_similar_users'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user followers
GET https://dkai.store/api/v1/instagram/v2/fetch_user_followers2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_followers'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user following
GET https://dkai.store/api/v1/instagram/v2/fetch_user_following2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_following'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user highlights
GET https://dkai.store/api/v1/instagram/v2/fetch_user_highlights2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_highlights'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info
GET https://dkai.store/api/v1/instagram/v2/fetch_user_info2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_info'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user posts
GET https://dkai.store/api/v1/instagram/v2/fetch_user_posts2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_posts'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user reels
GET https://dkai.store/api/v1/instagram/v2/fetch_user_reels2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_reels'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user stories
GET https://dkai.store/api/v1/instagram/v2/fetch_user_stories2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v2/fetch_user_stories'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。